alter table jin_funnel_visit add splitpage_id int(11) not null default 0 after step_id;

alter table jin_product add cost decimal(8,2) not null default '0' after price;

alter table jin_funnel_splittest drop sync_tstamp;
alter table jin_funnel_splittest drop visit_delay;
alter table jin_funnel_splittest drop costrevenue;
alter table jin_funnel_splittest drop enabled;
drop table jin_funnel_splitstat;

alter table jin_role add priv_master_plugins_ezinepoints varchar(50) not null default '' after priv_master_plugins_trackurls;

create table jin_ezine_points
(
  id           int(11) not null primary key,

  title        varchar(255) not null default '',
  admin_notes  text not null default '',

  points       int(11) not null,

  url          varchar(255) not null default '',
  page         longtext not null default '',
  errmsg       text not null default '',

  clicks       int(11) not null default 0
);

create table jin_ezine_points_cashed
(
  ezp_id        int(11) not null default 0,
  user_id       int(11) not null default 0,
  primary key(ezp_id,user_id)
);

create index signature on jin_user(signature);

create table jin_ccs
(
  user_id      int(11) not null default 0,
  ts           datetime null,
  d            tinyblob not null,
  e            int(1) not null default 0,
  key(user_id),
  key(e)
);

alter table jin_role add priv_auth_profile_security int(1) not null default 0 after priv_auth_profile_merchant;

drop table jin_funnel_ccdata;
